<?php
/**
 * JTL Plugin
 * Copyright (C) 2011 - 2017 Andreas Petermann
 *
 * PHP version 	5.6+
 * @copyright  	css-umsetzung
 * @author     	Andreas Petermann <info@css-umsetzung.de>
 * 
 * @internal	DONT_CRYPT
 * 
 * @filesource	hooks.php
 *
 */


namespace css_hazard;


require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.'.$oPlugin->cPluginID.'.php';
$cssPlugin = css_hazard::getInstance($oPlugin);


if(file_exists($oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php')){
	require_once $oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php';
}

switch($oPlugin->nCalledHook) {
	case HOOK_ARTIKEL_PAGE:
		$cssPlugin->hookArtikelPage($args_arr);
		break;
	
	case HOOK_ARTIKEL_CLASS_FUELLEARTIKEL:
		$cssPlugin->hookArtikelClassFuelleartikel($args_arr);
		break;
		
	case HOOK_SMARTY_OUTPUTFILTER:
		$cssPlugin->hookSmartyOutputfilter();
		break;
		
  case HOOK_LETZTERINCLUDE_INC:  
  	$cssPlugin->hookLetzterincludeInc();
    break;
		
}
